package com.steerinfo.ems.trmactitem.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TRmActItem implements IBasePO<String> {
    /**
     * 项目ID(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="项目ID",required=true)
    private String itemid;

    /**
     * 项目名称(ITEMNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="项目名称",required=false)
    private String itemname;

    /**
     * 项目描述(ITEMDESC,VARCHAR,100)
     */
    @ApiModelProperty(value="项目描述",required=false)
    private String itemdesc;

    /**
     * 项目类型(ITEMTYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="项目类型",required=false)
    private String itemtype;

    /**
     * 属性代码(PROPERTYID,VARCHAR,40)
     */
    @ApiModelProperty(value="属性代码",required=false)
    private String propertyid;

    /**
     * 工序(WORKPROCID,VARCHAR,40)
     */
    @ApiModelProperty(value="工序",required=false)
    private String workprocid;

    /**
     * 能介(ENERGYID,VARCHAR,40)
     */
    @ApiModelProperty(value="能介",required=false)
    private String energyid;

    /**
     * 单位(UNITID,VARCHAR,40)
     */
    @ApiModelProperty(value="单位",required=false)
    private String unitid;

    /**
     * 是否启用(USEFLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="是否启用",required=false)
    private String useflag;

    /**
     * 用于结算(ISSETTLE,VARCHAR,1)
     */
    @ApiModelProperty(value="用于结算",required=false)
    private String issettle;

    /**
     * 精度(DIGITS,DECIMAL,0)
     */
    @ApiModelProperty(value="精度",required=false)
    private Short digits;

    /**
     * 是否需要财务确认(STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="是否需要财务确认",required=false)
    private String state;

    /**
     * 创建时间(CLOCK,VARCHAR,40)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private String clock;

    /**
     * 创建人(USERID,VARCHAR,100)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String userid;

    /**
     * 修改时间(MODIFICATIONTIME,VARCHAR,100)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private String modificationtime;

    /**
     * 单位转换系数(DEFAULTVALUE,DECIMAL,0)
     */
    @ApiModelProperty(value="计划默认值",required=false)
    private Integer defaultvalue;

    /**
     * 显示顺序(SHOWNO,DECIMAL,0)
     */
    @ApiModelProperty(value="显示顺序",required=false)
    private Integer showno;

    /**
     * 0不上传接口，1需上传接口(ISUP,VARCHAR,1)
     */
    @ApiModelProperty(value="0不上传接口，1需上传接口",required=false)
    private String isup;

    /**
     * 父ID(FID,VARCHAR,40)
     */
    @ApiModelProperty(value="父ID",required=false)
    private String fid;

    /**
     * 关联ID(ASSOCIATEID,VARCHAR,40)
     */
    @ApiModelProperty(value="关联ID",required=false)
    private String associateid;

    /**
     * 修改人(DEFAULMAN,VARCHAR,100)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String defaulman;

    /**
     * 最小时间粒度(MINTIMEGRANID,VARCHAR,40)
     */
    @ApiModelProperty(value="最小时间粒度",required=false)
    private String mintimegranid;

    /**
     * 执行顺序(SEQNO,DECIMAL,0)
     */
    @ApiModelProperty(value="执行顺序",required=false)
    private Integer seqno;

    /**
     * 备注(BZ,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String bz;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.itemid;
    }

    @Override
    public void setId(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getItemname() {
        return itemname;
    }

    public void setItemname(String itemname) {
        this.itemname = itemname == null ? null : itemname.trim();
    }

    public String getItemdesc() {
        return itemdesc;
    }

    public void setItemdesc(String itemdesc) {
        this.itemdesc = itemdesc == null ? null : itemdesc.trim();
    }

    public String getItemtype() {
        return itemtype;
    }

    public void setItemtype(String itemtype) {
        this.itemtype = itemtype == null ? null : itemtype.trim();
    }

    public String getPropertyid() {
        return propertyid;
    }

    public void setPropertyid(String propertyid) {
        this.propertyid = propertyid == null ? null : propertyid.trim();
    }

    public String getWorkprocid() {
        return workprocid;
    }

    public void setWorkprocid(String workprocid) {
        this.workprocid = workprocid == null ? null : workprocid.trim();
    }

    public String getEnergyid() {
        return energyid;
    }

    public void setEnergyid(String energyid) {
        this.energyid = energyid == null ? null : energyid.trim();
    }

    public String getUnitid() {
        return unitid;
    }

    public void setUnitid(String unitid) {
        this.unitid = unitid == null ? null : unitid.trim();
    }

    public String getUseflag() {
        return useflag;
    }

    public void setUseflag(String useflag) {
        this.useflag = useflag == null ? null : useflag.trim();
    }

    public String getIssettle() {
        return issettle;
    }

    public void setIssettle(String issettle) {
        this.issettle = issettle == null ? null : issettle.trim();
    }

    public Short getDigits() {
        return digits;
    }

    public void setDigits(Short digits) {
        this.digits = digits;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state == null ? null : state.trim();
    }

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid == null ? null : userid.trim();
    }

    public String getModificationtime() {
        return modificationtime;
    }

    public void setModificationtime(String modificationtime) {
        this.modificationtime = modificationtime == null ? null : modificationtime.trim();
    }

    public Integer getDefaultvalue() {
        return defaultvalue;
    }

    public void setDefaultvalue(Integer defaultvalue) {
        this.defaultvalue = defaultvalue;
    }

    public String getIsup() {
        return isup;
    }

    public void setIsup(String isup) {
        this.isup = isup == null ? null : isup.trim();
    }

    public String getFid() {
        return fid;
    }

    public void setFid(String fid) {
        this.fid = fid == null ? null : fid.trim();
    }

    public String getAssociateid() {
        return associateid;
    }

    public void setAssociateid(String associateid) {
        this.associateid = associateid == null ? null : associateid.trim();
    }

    public String getDefaulman() {
        return defaulman;
    }

    public void setDefaulman(String defaulman) {
        this.defaulman = defaulman == null ? null : defaulman.trim();
    }

    public String getMintimegranid() {
        return mintimegranid;
    }

    public void setMintimegranid(String mintimegranid) {
        this.mintimegranid = mintimegranid == null ? null : mintimegranid.trim();
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    public Integer getShowno() {
		return showno;
	}

	public void setShowno(Integer showno) {
		this.showno = showno;
	}

	public Integer getSeqno() {
		return seqno;
	}

	public void setSeqno(Integer seqno) {
		this.seqno = seqno;
	}

	@Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", itemid=").append(itemid);
        sb.append(", itemname=").append(itemname);
        sb.append(", itemdesc=").append(itemdesc);
        sb.append(", itemtype=").append(itemtype);
        sb.append(", propertyid=").append(propertyid);
        sb.append(", workprocid=").append(workprocid);
        sb.append(", energyid=").append(energyid);
        sb.append(", unitid=").append(unitid);
        sb.append(", useflag=").append(useflag);
        sb.append(", issettle=").append(issettle);
        sb.append(", digits=").append(digits);
        sb.append(", state=").append(state);
        sb.append(", clock=").append(clock);
        sb.append(", userid=").append(userid);
        sb.append(", modificationtime=").append(modificationtime);
        sb.append(", defaultvalue=").append(defaultvalue);
        sb.append(", showno=").append(showno);
        sb.append(", isup=").append(isup);
        sb.append(", fid=").append(fid);
        sb.append(", associateid=").append(associateid);
        sb.append(", defaulman=").append(defaulman);
        sb.append(", mintimegranid=").append(mintimegranid);
        sb.append(", seqno=").append(seqno);
        sb.append(", bz=").append(bz);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}